FROM php:7.2-apache

RUN apt-get update \
 && apt-get install -y git zlib1g-dev libxml2-dev  libpng-dev  libcurl3-dev libicu-dev tzdata \ 
 	mc \
	lynx \
	sendmail \
	moreutils \
	wget 
	
RUN docker-php-ext-install pdo pdo_mysql zip mysqli xml gd curl soap intl \
 && echo 'sendmail_path = "/usr/sbin/sendmail -t"' > /usr/local/etc/php/conf.d/mail.ini \
 && a2enmod status \
 && a2enmod rewrite \
 && a2enmod proxy \
 && a2enmod proxy_http \
 && curl -sS https://getcomposer.org/installer \
  | php -- --install-dir=/usr/local/bin --filename=composer

RUN pecl install xdebug
RUN docker-php-ext-enable xdebug  

RUN curl -O https://raw.githubusercontent.com/wp-cli/builds/gh-pages/phar/wp-cli.phar
RUN chmod +x wp-cli.phar
RUN mv wp-cli.phar /usr/local/bin/wp
RUN echo 'alias wp="wp --allow-root"' >>  ~/.bashrc

RUN wget https://phar.phpunit.de/phpunit-6.5.phar
RUN chmod +x phpunit-6.5.phar
RUN mv phpunit-6.5.phar /usr/local/bin/phpunit
  
COPY run /usr/local/bin/run
RUN chmod +x /usr/local/bin/run

RUN ls /mnt/

ENV TZ Europe/Warsaw

RUN echo $TZ > /etc/timezone && \   
    rm /etc/localtime && \
    ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && \
    dpkg-reconfigure -f noninteractive tzdata && \
    apt-get clean

  
#WORKDIR /var/www

